import 'package:json_annotation/json_annotation.dart';
import 'package:odf/bean/result_list_bean.dart';

part 'room_list_bean.g.dart';

@JsonSerializable(explicitToJson: true)
class RoomListBean {
  int? pageSize;
  int? pageIndex;
  int? totalNum;
  int? totalPage;
  List<ResultListBean> result;

  RoomListBean(this.pageSize, this.pageIndex, this.totalNum, this.totalPage, this.result);

  factory RoomListBean.fromJson(Map<String, dynamic> json) => _$RoomListBeanFromJson(json);

  Map<String, dynamic> toJson() => _$RoomListBeanToJson(this);
}
